Package docking.widgets

# Interface GComponent

All Known Implementing Classes:
  `AbstractGCellRenderer`, `AbstractGColumnRenderer`, `AbstractGhidraColumnRenderer`, `AbstractHtmlLabel`, `BSimStatusRenderer`, `ClearFilterLabel`, `CodeUnitTableCellRenderer`, `CompositeGhidraTableCellRenderer`, `CustomToStringCellRenderer`, `DefaultTableCellRendererWrapper`, `DefaultTimestampRenderer`, `DockingMenuItem`, `DropDownMultiSelectionTextField`, `DropDownSelectionTextField`, `DropDownTextField`, `DropDownTextField.DropDownList`, `GBooleanCellRenderer`, `GCheckBox`, `GComboBox`, `GComboBoxCellRenderer`, `GDHtmlLabel`, `GDLabel`, `GenericDateCellRenderer`, `GhidraComboBox`, `GhidraTableCellRenderer`, `GHtmlCheckBox`, `GHtmlLabel`, `GIconLabel`, `GLabel`, `GList`, `GListCellRenderer`, `GRadioButton`, `GTableCellRenderer`, `GTreeRenderer`, `HexDefaultGColumnRenderer`, `HiddenValuesButton`, `IconButtonTableCellRenderer`, `LogLevelTableCellRenderer`, `LongRenderer`, `MonospacedByteRenderer`, `PreviewDataTableCellRenderer`, `QuickFixStatusRenderer`, `QuickFixTableModel.QuickFixRenderer`, `SpanSetTableCellRenderer`, `SpanTableCellRenderer`, `StatusBarSpacer`

public interface GComponent

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HTML_DISABLE_STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default boolean`
  `isHTMLRenderingEnabled()`
  Returns the current HTML rendering enablement of this component.
  `default void`
  `setHTMLRenderingEnabled(boolean enabled)`
  Enables and disables the rendering of HTML content in this component.
  `static void`
  `setHTMLRenderingFlag(JComponent comp, boolean enabled)`
  Sets the HTML rendering flag for the specified component.
  `static void`
  `warnAboutHtmlText(String text)`
  Helper function that logs a warning about a string text that looks like it has HTML text.

- ## Field Details

  - ### HTML_DISABLE_STRING

    static final String HTML_DISABLE_STRING
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setHTMLRenderingEnabled

    default void setHTMLRenderingEnabled(boolean enabled)
    Enables and disables the rendering of HTML content in this component. If enabled, this component will interpret HTML content when the text this component is showing begins with `<html>`
    Parameters:
      `enabled` - true to enable HTML rendering; false to disable it

  - ### isHTMLRenderingEnabled

    default boolean isHTMLRenderingEnabled()
    Returns the current HTML rendering enablement of this component.
    Returns:
      boolean, true if HTML rendering is allowed

  - ### warnAboutHtmlText

    static void warnAboutHtmlText(String text)
    Helper function that logs a warning about a string text that looks like it has HTML text.

    Use this when working with a string in a label that has already disabled HTML rendering.

    Parameters:
      `text` - string to test for HTML and warn about

  - ### setHTMLRenderingFlag

    static void setHTMLRenderingFlag(JComponent comp, boolean enabled)
    Sets the HTML rendering flag for the specified component.
    Parameters:
      `comp` - the thing
      `enabled` - boolean, if true html rendering will be allowed